"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTemplateFile = void 0;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const helpers_1 = require("../common/helpers");
const consts_1 = require("../common/consts");
const promises_1 = require("fs/promises");
const logger_1 = require("../common/logger");
function createTemplateFile(fileNameToCreate, config) {
    return __awaiter(this, void 0, void 0, function* () {
        (0, helpers_1.ensureFastServeFolder)();
        const filePath = path.join(process.cwd(), consts_1.fastFolderName, fileNameToCreate);
        const fileContent = (yield (0, promises_1.readFile)((0, helpers_1.getTemplatesPath)(fileNameToCreate))).toString();
        if (!fs.existsSync(filePath) || config.force) {
            yield (0, promises_1.writeFile)(filePath, fileContent);
            logger_1.Logger.log(`Created ${fileNameToCreate} file.`);
            logger_1.Logger.log(`Path: ${filePath}`);
        }
        else {
            logger_1.Logger.log(`${fileNameToCreate} file already exists. Use --force to overwrite it with the default one.`);
            logger_1.Logger.log(`Path: ${filePath}`);
        }
    });
}
exports.createTemplateFile = createTemplateFile;
//# sourceMappingURL=helpers.js.map